# TuffnellsApi

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'tuffnells_api'
```

And then execute:

    bundle

Or install it yourself as:

    gem install tuffnells_api

## Configuration
Before making a request, you must configure an account code.

```ruby
TuffnellsApi.configure do |config|
  config.account_code = 123456
end
```

## Usage

```ruby
@consigment = TuffnellsApi::Consignment.find(consignment_no)
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/tuffnells_api.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
